# make_tree

make_tree(treestring=None, tip_names=None, format=None, underscore_unmunge=False)

  Initialises a tree.

  Parameters

    - treestring – a newick or xml formatted tree string

    - tip_names – a list of tip names, returns a “star” topology tree

    - format (str) – indicates treestring is either newick or xml formatted, default is newick

    - underscore_unmunge (bool) – replace underscores with spaces in all names read, i.e. “sp_name” becomes “sp name”

  Notes

  Underscore unmunging is turned off by default, although it is part of the Newick format.

  Returns

  Return type

    PhyloNode